Subject: Re: bug#15555: Re: bug#15555: 24.3; Bidirectional display very slow with long lines

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Feb 2014 18:24:54 +0200

> Date: Tue, 18 Feb 2014 18:31:22 +0400
> From: Dmitry Antipov <[email-masked]>
> Cc: [email-masked]
> 
> Now I'm seeing the use case where each trivial cursor movement causes
> ~100 calls to bidi_shelve_cache, and each call copies ~1.5M of data.
> If there is a redisplay problem which makes this unavoidable without
> rewriting 1/2 of xdisp.c, then "broken by design" is the only thing
> I can say about all of that mess.

If you show me where these calls are made, I might be able to say
something intelligent about that.  And maybe we could even discuss the
issue and find some clever solution, if it exists.